Kerbal Space Program - Bug #9557

Everything slides around on terrain all the time
04/28/2016 05:48 PM - g00bdOg

Status: Confirmed Start date: 04/28/2016
Severity: Normal % Done: 10%
Assignee:

Category: Physics

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Description

From the best | can tell, everything slides around on terrain all the time, even on a flat surface and to greater or lesser degrees
depending on slope and maybe other factors. Even the simplest 1 part cockpit will slide in slow motion forever on a slope. In at least
one instance you can see a craft sliding UP a hill?! Yes | do have mechjeb installed, but that is only to provide numerical data for
analysis, it should NOT invalidate the bug report, as | guarantee the issue exists with/without mechjeb.

| previously reported this bug here:

http://bugs.kerbalspaceprogram.com/issues/9475

rerouter called it a duplicate and marked it as complete. It was not a duplicate, nor is it complete. It has been independently verified
by others.

https://www.youtube.com/watch?v=Sy699-GK11U

https://www.youtube.com/watch?v=KF8pw8vSwxs

https://www.youtube.com/watch?v=XbIDtOvs_zA

https://www.youtube.com/watch?v=XbIDtOvs_zA

History

#1 - 04/29/2016 10:36 AM - sal_vager

- Category changed from Bug Tracker to Physics

- Severity changed from High to Normal

hi gOObdOg, sorry to tell you this but this is a duplicate of another issue, in this case it is issue #7649

It's also not rated high, high is used for issues that break KSP in some way which this does not do, it is also not for the bug tracker category.
Please use the wiki for guidance when posting issue reports in future, thank you.

#3 - 05/09/2016 06:10 PM - Jajcus

The problem is still there in 1.1.2 and it quite annoying and and can be game breaking when one tries to build a surface base.

It seems there is no static friction in KSP at all and things are never at rest when on any slope. Various factors seem to influence this (terrain slope
being the most obvious), sometimes quite counter-intuitive allll e.g. deploying drills raises the base and makes slide it faster.

Easy proof: land something on a MAY4n slope, set a waypoint where it stand (using WaypointManager mod, maybe there is a stock way do note exact
coordinates) and keep the physics running. No time wrap or unloading/loading of the craft needed, though it speeds things up.

#4 - 06/27/2016 05:03 PM - Geschosskopf
- File Sliding.sfs added

- File 00 No Legs.jpg added

- File 01 Small Legs.jpg added
http://bugs.kerbalspaceprogram.com/issues/9475
https://www.youtube.com/watch?v=Sy6g9-GK11U
https://www.youtube.com/watch?v=KF8pw8vSwxs
https://www.youtube.com/watch?v=XblDtOvs_zA
https://www.youtube.com/watch?v=XblDtOvs_zA

- File 02 Medium Legs.jpg added
- File 03 Big Legs.jpg added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This bug is still present in 1.1.3. Specifically:

1. Ships resting on lander legs slide UPHILL at a rate proportional to the slope. This is true for all 3 types of lander leg, regardless of the mass of the
lander.

2. Everything else (EVA Kerbals, debris, ships NOT resting on lander legs, rovers, etc.) slides downbhill at a rate proportional to the slope. However,
none of this stuff moves very fast except EVA Kerbals. They slide much faster downhill than the other types of objects resting on the ground. In fact,
Kerbals slide downhill at about the same speed as an adjacent lander on its legs will slide uphill.

3. The above effects happen at all times regardless of the slope. Even the tiniest slope will cause the sliding.

4. Not sliding but I figured I'd mention it anyway. [f the slope is >= about 25*, a sliding EVA Kerbal will knock down a flag. Also, flags planted on
such slopes fall over by themselves upon physics load if you leave and return to them.

REPLICATION

1. Land a ship with lander legs on a slope.

2. EVA a Kerbal and plant a flag near the lander.

3. Switch focus to the flag and keep the camera a fixed orientation to the flag.

4. Allow some time to pass. Observe that, relative to the fixed flag, the Kerbal has down downhill and the lander has gone uphill.

Attachments
Sliding.cfs: A save file with the 4 landers shown in the attached pics. Go to them and watch what happens.

Pics 00-03: Before-and-after shots of the above landers showing the sliding.

#5 - 07/06/2016 12:45 PM - blackgold

| can confirm this as well, and | don't use mechjeb. I'm having problems with everything sliding on Eve, and none of my design attempts have been
able to stop it. It happens with both 1 ton rovers and 400 ton landers. Objects resting on wheels/legs seem to slide more, but even the lander sitting
directly on it's engines slowly creeps along the ground. | consider this a pretty serious bug because it makes any surface mission longer than planting
a flag and picking up some dirt impossible.

#6 - 07/29/2016 04:43 PM - EvilBroccoli

Isn't it possible to just put back the old lander legs? i have problems with sliding landed craft in most bodies with just a minimal slope... this is really
annoying, and has been since the 1.1 update!!!!liin ... i have literally to run after ships if i try to EVA. although funny at first, it gets old fast.

#7 - 07/29/2016 04:48 PM - EvilBroccoli

also on a related leg issue, in attempts to slow down the sliding ive raised the legs and then deployed them again, resulting in the ship beign launched
into the air with violence... then away from the ground ive noticed the legs now deploy with a sudden motion, i dont remember this motion in legs
before 1.1

im sry im reporting this now, its just i was part of the lucky ones that CTDed in VAB 1.1 through 1.1.3

#8 - 01/14/2017 09:55 PM - Camulus

| have confirmed that this is still an issue. This is really putting a damper on game play as | am at a point in my space program where I'm building
bases. Has there been any movement on this ticket? Any possibility of bumping it up in priority as it does break a significant aspect of game play
pertaining to advanced in game space programs? Also can we have an ETA on the fix of this issue if possible?

Thank you for your attention to this issue.

#9 - 04/04/2017 03:17 AM - Camulus

Hello, just checking in to see what the status of this bug is. This bug has been out there for nearly a year now. As a previous person on this issue
mentioned, it is a fairly serious bug as it does dramatically limit surface missions. Can we get an update on this bug? I'm rather disappointed that no
one responded to my previous post answering my questions.

#10 - 04/07/2017 07:52 AM - bewing

This is a bug in the fundamental physics package that Unity (and therefore KSP) uses, called PhysX -- which is closed-source code maintained by
NVidia. The problem is that everything bounces constantly. | call it microbouncing. Nothing ever comes to rest. Most things spend 90% of their time
.0001 meters above the ground during the bounces, and there is no surface friction while things are bouncing in the air. The devs have added
countless kludges to minimize the size of the bounces, but they are unable to eliminate it. So yes, everything bounces and moves and slides, and
there's not a darn thing we can do about it until NVidia fixes PhysX, or until KSP dumps Unity and switches to an entirely different library (which would
involve a big rewrite). Squad has been expecting that PhysX will be fixed eventually, but we all agree it's a big problem and Squad will not wait forever
either.
#11 - 04/30/2017 05:18 AM - g00bdOg

bewing wrote:

This is a bug in the fundamental physics package that Unity (and therefore KSP) uses, called PhysX -- which is closed-source code maintained
by NVidia. The problem is that everything bounces constantly. | call it microbouncing. Nothing ever comes to rest. Most things spend 90% of
their time .0001 meters above the ground during the bounces, and there is no surface friction while things are bouncing in the air. The devs have
added countless kludges to minimize the size of the bounces, but they are unable to eliminate it. So yes, everything bounces and moves and
slides, and there's not a darn thing we can do about it until NVidia fixes PhysX, or until KSP dumps Unity and switches to an entirely different
library (which would involve a big rewrite). Squad has been expecting that PhysX will be fixed eventually, but we all agree it's a big problem and
Squad will not wait forever either.

But it "used" to work. Somewhere around 1.05 it got broke, is there no way to roll this back to a version of physx that works?

Files

Sliding.sfs 268 KB 06/27/2016 Geschosskopf
00 No Legs.jpg 100 KB 06/27/2016 Geschosskopf
01 Small Legs.jpg 108 KB 06/27/2016 Geschosskopf
03 Big Legs.jpg 140 KB 06/27/2016 Geschosskopf
02 Medium Legs.jpg 82.4 KB 06/27/2016 Geschosskopf
